Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.dipendentessr.vo.nuovodipendente
Class AssegnazioneServizio

    java.lang.Object
      it.svimservice.nsisr.web.ws.dipendentessr.vo.nuovodipendente.AssegnazioneServizio

    public class AssegnazioneServizio

extends java.lang.Object

Sede di assegnazione servizio.

Field Summary
`private java.lang.Integer` | `codRegStruttOrganizzativa` Codice regionale con la quale la Struttura Organizzativa è stata registrata in Edotto.
`private java.lang.Integer` | `codRegUnitaOperativa` Codice regionale con la quale l’Unità Operativa è stata registrata in Edotto.
`private java.lang.Integer` | `codRegUnitaOperativaAppartenenza` Codice regionale dell’Unità Operativa da cui l’unità in oggetto dipende.
`private int` | `codTipologiaStruttura` Codice identificativo della tipologia di struttura organizzativa presso cui il dipendente presta servizio.
`private java.lang.String` | `codUnitaOperativa` Codice della Tipologia di Unità Operativa presso cui il dipendente presta servizio.
`private java.lang.String` | `descUnitaOperativa` Descrizione dell’unità operativa semplice/ semplice a valenza Dipartimentale/dipartimentale in cui presta servizio il dipendente.
`private java.lang.String` | `percentualeAssegnazione` Percentuale di assegnazione del dipendente alla sede di servizio.
`private java.lang.String` | `tipologiaUnita` Indica la tipologia di unità operativa in cui il dipendente presta normalmente il servizio (unità di assegnazione).

Constructor Summary
`AssegnazioneServizio()`

Method Summary
`java.lang.Integer` | `getCodRegStruttOrganizzativa()`
`java.lang.Integer` | `getCodRegUnitaOperativa()`
`java.lang.Integer` | `getCodRegUnitaOperativaAppartenenza()`
`int` | `getCodTipologiaStruttura()`
`java.lang.String` | `getCodUnitaOperativa()`
`java.lang.String` | `getDescUnitaOperativa()`
`java.lang.String` | `getPercentualeAssegnazione()`
`java.lang.String` | `getTipologiaUnita()`
`void` | `setCodRegStruttOrganizzativa(java.lang.Integer codRegStruttOrganizzativa)`
`void` | `setCodRegUnitaOperativa(java.lang.Integer codRegUnitaOperativa)`
`void` | `setCodRegUnitaOperativaAppartenenza(java.lang.Integer codRegUnitaOperativaAppartenenza)`
`void` | `setCodTipologiaStruttura(int codTipologiaStruttura)`
`void` | `setCodUnitaOperativa(java.lang.String codUnitaOperativa)`
`void` | `setDescUnitaOperativa(java.lang.String descUnitaOperativa)`
`void` | `setPercentualeAssegnazione(java.lang.String percentualeAssegnazione)`
`void` | `setTipologiaUnita(java.lang.String tipologiaUnita)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### percentualeAssegnazione

    @Facets(maxLength=6L,
            pattern="[0-9]{1,3}[,]{1}[0-9]{1,2}")
    @MinOccurs(value=1L)
    private java.lang.String percentualeAssegnazione

  Percentuale di assegnazione del dipendente alla sede di servizio.

### codTipologiaStruttura

    @Facets(totalDigits=4L)
    @MinOccurs(value=1L)
    private int codTipologiaStruttura

  Codice identificativo della tipologia di struttura organizzativa presso cui il dipendente presta servizio. Cfr. Appendice E - D4.14 D4.15 Specifica tecnica dei flussi informativi ed esportazione dati. Area Dotazioni Organiche e Ruoli Nominativi del Personale.

### codRegStruttOrganizzativa

    @Facets(totalDigits=6L)
    @MinOccurs(value=0L)
    private java.lang.Integer codRegStruttOrganizzativa

  Codice regionale con la quale la Struttura Organizzativa è stata registrata in Edotto. Obbligatorio nel caso di Distretto, Istituto di Ricovero.

### tipologiaUnita

    @Facets(maxLength=1L,
            pattern="(A|C|D|S)?")
    @MinOccurs(value=0L)
    private java.lang.String tipologiaUnita

  Indica la tipologia di unità operativa in cui il dipendente presta normalmente il servizio (unità di assegnazione). Può assumere i seguenti valori:
  - C: Complessa
  - D: Semplice a valenza Dipartimentale
  - S: Semplice
  - A: Articolazione di altra struttura

### codUnitaOperativa

    @Facets(maxLength=4L)
    @MinOccurs(value=1L)
    private java.lang.String codUnitaOperativa

  Codice della Tipologia di Unità Operativa presso cui il dipendente presta servizio. Cfr. Appendice E - D4.14 D4.15 Specifica tecnica dei flussi informativi ed esportazione dati Area Dotazioni Organiche e Ruoli Nominativi del Personale.

### codRegUnitaOperativa

    @Facets(totalDigits=6L)
    @MinOccurs(value=0L)
    private java.lang.Integer codRegUnitaOperativa

  Codice regionale con la quale l’Unità Operativa è stata registrata in Edotto. Obbligatorio nel caso di Unità Operativa classificata come Struttura Sanitaria.

### descUnitaOperativa

    @Facets(maxLength=50L)
    @MinOccurs(value=0L)
    private java.lang.String descUnitaOperativa

  Descrizione dell’unità operativa semplice/ semplice a valenza Dipartimentale/dipartimentale in cui presta servizio il dipendente. Il campo è da avvalorare soltanto nel caso di tipologia unità operativa SEMPLICE o SEMPLICE A VALENZA DIPARTIMENTALE o DIPARTIMENTALE. Il campo è comunque opzionale.

### codRegUnitaOperativaAppartenenza

    @Facets(totalDigits=6L)
    @MinOccurs(value=0L)
    private java.lang.Integer codRegUnitaOperativaAppartenenza

  Codice regionale dell’Unità Operativa da cui l’unità in oggetto dipende. Solo per tipologie A.

Constructor Detail

### AssegnazioneServizio

    public AssegnazioneServizio()

Method Detail

### getPercentualeAssegnazione

    public java.lang.String getPercentualeAssegnazione()

### setPercentualeAssegnazione

    public void setPercentualeAssegnazione(java.lang.String percentualeAssegnazione)

### getCodTipologiaStruttura

    public int getCodTipologiaStruttura()

### setCodTipologiaStruttura

    public void setCodTipologiaStruttura(int codTipologiaStruttura)

### getCodRegStruttOrganizzativa

    public java.lang.Integer getCodRegStruttOrganizzativa()

### setCodRegStruttOrganizzativa

    public void setCodRegStruttOrganizzativa(java.lang.Integer codRegStruttOrganizzativa)

### getTipologiaUnita

    public java.lang.String getTipologiaUnita()

### setTipologiaUnita

    public void setTipologiaUnita(java.lang.String tipologiaUnita)

### getCodUnitaOperativa

    public java.lang.String getCodUnitaOperativa()

### setCodUnitaOperativa

    public void setCodUnitaOperativa(java.lang.String codUnitaOperativa)

### getCodRegUnitaOperativa

    public java.lang.Integer getCodRegUnitaOperativa()

### setCodRegUnitaOperativa

    public void setCodRegUnitaOperativa(java.lang.Integer codRegUnitaOperativa)

### getDescUnitaOperativa

    public java.lang.String getDescUnitaOperativa()

### setDescUnitaOperativa

    public void setDescUnitaOperativa(java.lang.String descUnitaOperativa)

### getCodRegUnitaOperativaAppartenenza

    public java.lang.Integer getCodRegUnitaOperativaAppartenenza()

### setCodRegUnitaOperativaAppartenenza

    public void setCodRegUnitaOperativaAppartenenza(java.lang.Integer codRegUnitaOperativaAppartenenza)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD